<bugID>822269<Summary>Intermittent browser_dbg_update-editor-mode.js | Test timed out (followed by an uncaught exception in browser_devtools_api.js)</Summary><Description>Rev3 WINNT 6.1 mozilla-inbound debug test mochitest-browser-chrome on 2012-12-13 23:58:24 PST for push d72d915e308b

slave: talos-r3-w7-064

https://tbpl.mozilla.org/php/getParsedLog.php?id=17938036&amp;tree=Mozilla-Inbound

{
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | Console message: [JavaScript Warning: "ReferenceError: reference to undefined property typedRule.beginOld2New" {file: "chrome://browser/content/orion.js" line: 11078}]
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | Console message: [JavaScript Warning: "ReferenceError: reference to undefined property typedRule.endOld2New" {file: "chrome://browser/content/orion.js" line: 11083}]
TEST-PASS | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | There is a gTab to use for getting a toolbox reference
DBG-FRONTEND: Destroying the DebuggerView
DBG-FRONTEND: Destroying the ToolbarView
DBG-FRONTEND: Destroying the OptionsView
DBG-FRONTEND: Destroying the ChromeGlobalsView
DBG-FRONTEND: Destroying the SourcesView
DBG-FRONTEND: Destroying the FilterView
DBG-FRONTEND: Destroying the StackFramesView
DBG-FRONTEND: Destroying the BreakpointsView
DBG-FRONTEND: Destroying the WatchExpressionsView
DBG-FRONTEND: Destroying the GlobalSearchView
DBG-FRONTEND: Destroying the DebuggerView window
DBG-FRONTEND: Destroying the DebuggerView panes
DBG-FRONTEND: Destroying the DebuggerView editor
DBG-FRONTEND: SourceScripts is disconnecting...
DBG-FRONTEND: StackFrames is disconnecting...
DBG-FRONTEND: ThreadState is disconnecting...
WARNING: NS_ENSURE_TRUE(selCon) failed: file e:/builds/moz2_slave/m-in-w32-dbg/build/editor/libeditor/base/nsEditor.cpp, line 602
WARNING: NS_ENSURE_TRUE(selcon) failed: file e:/builds/moz2_slave/m-in-w32-dbg/build/editor/libeditor/base/nsEditor.cpp, line 624
WARNING: NS_ENSURE_TRUE(mDisabledJSAndPlugins) failed: file e:/builds/moz2_slave/m-in-w32-dbg/build/editor/composer/src/nsEditingSession.cpp, line 213
WARNING: NS_ENSURE_TRUE(selCon) failed: file e:/builds/moz2_slave/m-in-w32-dbg/build/editor/libeditor/base/nsEditor.cpp, line 602
WARNING: NS_ENSURE_TRUE(selcon) failed: file e:/builds/moz2_slave/m-in-w32-dbg/build/editor/libeditor/base/nsEditor.cpp, line 624
WARNING: NS_ENSURE_TRUE(mDoneSetup) failed: file e:/builds/moz2_slave/m-in-w32-dbg/build/editor/composer/src/nsEditingSession.cpp, line 1348
WARNING: NS_ENSURE_SUCCESS(rv, false) failed with result 0x8000FFFF: file e:/builds/moz2_slave/m-in-w32-dbg/build/content/base/src/nsContentUtils.cpp, line 2963
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/m-in-w32-dbg/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 321
WARNING: NS_ENSURE_SUCCESS(rv, false) failed with result 0x8000FFFF: file e:/builds/moz2_slave/m-in-w32-dbg/build/content/base/src/nsContentUtils.cpp, line 2963
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/m-in-w32-dbg/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 321
WARNING: NS_ENSURE_SUCCESS(rv, false) failed with result 0x8000FFFF: file e:/builds/moz2_slave/m-in-w32-dbg/build/content/base/src/nsContentUtils.cpp, line 2963
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/m-in-w32-dbg/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 321
WARNING: NS_ENSURE_SUCCESS(rv, false) failed with result 0x8000FFFF: file e:/builds/moz2_slave/m-in-w32-dbg/build/content/base/src/nsContentUtils.cpp, line 2963
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/m-in-w32-dbg/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 321
WARNING: NS_ENSURE_SUCCESS(rv, false) failed with result 0x8000FFFF: file e:/builds/moz2_slave/m-in-w32-dbg/build/content/base/src/nsContentUtils.cpp, line 2963
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/m-in-w32-dbg/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 321
--DOCSHELL 44539D90 == 11 [id = 3378]
--DOCSHELL 4456F520 == 10 [id = 3377]
--DOMWINDOW == 62 (4467D7D0) [serial = 8792] [outer = 00000000] [url = about:blank]
--DOMWINDOW == 61 (4467E070) [serial = 8787] [outer = 00000000] [url = http://example.com/browser/browser/devtools/debugger/test/browser_dbg_tab1.html]
--DOMWINDOW == 60 (4468A4A8) [serial = 8784] [outer = 00000000] [url = http://example.com/browser/browser/devtools/debugger/test/browser_dbg_tab1.html]
--DOMWINDOW == 59 (446AB718) [serial = 8781] [outer = 00000000] [url = about:blank]
--DOMWINDOW == 58 (446923E0) [serial = 8778] [outer = 00000000] [url = data:text/html;charset=utf8,&lt;!DOCTYPE%20html&gt;&lt;html%20style='height:100%'%20dir='ltr'&gt;&lt;head&gt;&lt;link%20rel='stylesheet'%20href='chrome://browser/skin/devtools/orion-container.css'&gt;&lt;/head&gt;&lt;body%20style='height:100%;margin:0;overflow:hidden'&gt;&lt;div%20id='editor'%20style='height:100%'&gt;&lt;/div&gt;&lt;/body&gt;&lt;/html&gt;]
--DOMWINDOW == 57 (4469A768) [serial = 8771] [outer = 00000000] [url = http://example.com/browser/browser/devtools/debugger/test/browser_dbg_script-switching.html]
--DOMWINDOW == 56 (4468AF70) [serial = 8768] [outer = 00000000] [url = about:blank]
--DOMWINDOW == 55 (44685FA8) [serial = 8765] [outer = 00000000] [url = data:text/html;charset=utf8,&lt;!DOCTYPE%20html&gt;&lt;html%20style='height:100%'%20dir='ltr'&gt;&lt;head&gt;&lt;link%20rel='stylesheet'%20href='chrome://browser/skin/devtools/orion-container.css'&gt;&lt;/head&gt;&lt;body%20style='height:100%;margin:0;overflow:hidden'&gt;&lt;div%20id='editor'%20style='height:100%'&gt;&lt;/div&gt;&lt;/body&gt;&lt;/html&gt;]
--DOMWINDOW == 54 (446B5030) [serial = 8763] [outer = 00000000] [url = about:blank]
--DOCSHELL 44553008 == 9 [id = 3379]
--DOCSHELL 44563EE0 == 8 [id = 3380]
--DOMWINDOW == 53 (44692C80) [serial = 8799] [outer = 00000000] [url = about:blank]
--DOMWINDOW == 52 (446B4340) [serial = 8798] [outer = 00000000] [url = about:blank]
--DOMWINDOW == 51 (44699CA0) [serial = 8791] [outer = 00000000] [url = chrome://browser/content/devtools/framework/toolbox.xul]
--DOMWINDOW == 50 (446A5A60) [serial = 8796] [outer = 00000000] [url = data:text/html;charset=utf8,&lt;!DOCTYPE%20html&gt;&lt;html%20style='height:100%'%20dir='ltr'&gt;&lt;head&gt;&lt;link%20rel='stylesheet'%20href='chrome://browser/skin/devtools/orion-container.css'&gt;&lt;/head&gt;&lt;body%20style='height:100%;margin:0;overflow:hidden'&gt;&lt;div%20id='editor'%20style='height:100%'&gt;&lt;/div&gt;&lt;/body&gt;&lt;/html&gt;]
--DOMWINDOW == 49 (446A6300) [serial = 8775] [outer = 00000000] [url = chrome://browser/content/debugger.xul]
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | Test timed out
WARNING: NS_ENSURE_TRUE(mMutable) failed: file e:/builds/moz2_slave/m-in-w32-dbg/build/netwerk/base/src/nsSimpleURI.cpp, line 272
INFO TEST-END | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | finished in 32456ms
TEST-INFO | checking window state
TEST-START | chrome://mochitests/content/browser/browser/devtools/framework/test/browser_devtools_api.js
++DOCSHELL 445773B0 == 9 [id = 3381]
++DOMWINDOW == 50 (44682348) [serial = 8801] [outer = 00000000]
++DOMWINDOW == 51 (446B2DB0) [serial = 8802] [outer = 446822F0]
WARNING: NS_ENSURE_TRUE(mMutable) failed: file e:/builds/moz2_slave/m-in-w32-dbg/build/netwerk/base/src/nsSimpleURI.cpp, line 272
WARNING: NS_ENSURE_TRUE(mMutable) failed: file e:/builds/moz2_slave/m-in-w32-dbg/build/netwerk/base/src/nsSimpleURI.cpp, line 272
WARNING: NS_ENSURE_TRUE(frame) failed: file e:/builds/moz2_slave/m-in-w32-dbg/build/layout/base/nsPresContext.cpp, line 1183
WARNING: NS_ENSURE_TRUE(frame) failed: file e:/builds/moz2_slave/m-in-w32-dbg/build/layout/base/nsPresContext.cpp, line 1183
WARNING: NS_ENSURE_TRUE(frame) failed: file e:/builds/moz2_slave/m-in-w32-dbg/build/layout/base/nsPresContext.cpp, line 1183
++DOMWINDOW == 52 (446A5A60) [serial = 8803] [outer = 446822F0]
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/framework/test/browser_devtools_api.js | uncaught exception - ReferenceError: finish is not defined at chrome://mochitests/content/browser/browser/devtools/debugger/test/head.js:116
Stack trace:
    JS frame :: chrome://mochikit/content/tests/SimpleTest/SimpleTest.js :: simpletestOnerror :: line 1065
    native frame :: &lt;unknown filename&gt; :: &lt;TOP_LEVEL&gt; :: line 0

JavaScript error: chrome://mochitests/content/browser/browser/devtools/debugger/test/head.js, line 116: finish is not defined
WARNING: NS_ENSURE_TRUE(mMutable) failed: file e:/builds/moz2_slave/m-in-w32-dbg/build/netwerk/base/src/nsSimpleURI.cpp, line 272
TEST-PASS | chrome://mochitests/content/browser/browser/devtools/framework/test/browser_devtools_api.js | gDevTools exists
}</Description></bugID>